package com.gyee.alarm.service.auto;

import com.gyee.alarm.model.auto.ProBasicDeviceFaultMode;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 设备故障模型 服务类
 * </p>
 *
 * @author shilin
 * @since 2023-08-01
 */
public interface IProBasicDeviceFaultModeService extends IService<ProBasicDeviceFaultMode> {


    ProBasicDeviceFaultMode getDeviceFaultModeByCode(String code);

    List<ProBasicDeviceFaultMode> getDeviceFaultModeByDeviceId(String deviceId);

    List<ProBasicDeviceFaultMode> getDeviceFaultModeByStructureCode(String deviceId,String structureCode);

    ProBasicDeviceFaultMode getDeviceFaultModeTree(String deviceId,String nodeCode);
}
